AgregarEvento(window,'load',inicializarEventos,false);
var ventana= null;
var conexion1;
var objetoMostrar;
var mSubmit = false;
var combo="";


function inicializarEventos()
{
  var enviar=document.getElementById('cmdEnviar'); 
  
 
  if(!isEmpty(enviar)){
	  AgregarEvento(enviar,'click',enviarDatos,false);
  }
  
  
   
}


function AgregarEvento(elemento,nomevento,funcion,captura)
{
  if (elemento.attachEvent)
  {
    elemento.attachEvent('on'+nomevento,funcion);
    return true;
  }
  else  
    if (elemento.addEventListener)
    {
      elemento.addEventListener(nomevento,funcion,captura);
      return true;
    }
    else
      return false;
}

function enviarDatos(e)
{
  if (window.event)
  {
	var boton=window.event.srcElement.getAttribute('name');  
    window.event.returnValue=false;
  }
  else
    if (e){
	  var boton = e.target.getAttribute('name');		
      e.preventDefault();
    }
    objetoMostrar = document.getElementById('MENSAJES');
 
	enviarFormulario(boton);
}

function enviarFormulario(boton) 
{
  conexion1=crearXMLHttpRequest(); 	
  conexion1.onreadystatechange = procesarEventos;
  conexion1.open('POST','gestor_contenido_principal.php', false);
  conexion1.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  conexion1.send(retornarDatos(boton)); 
}



function procesarEventos()
{
 
   if(conexion1.readyState == 4)
  {
   objetoMostrar.innerHTML = conexion1.responseText;	 
  } 
  else 
  {
  }
}

function retornarDatos(boton)
{
  var clave='';
  var cad='';
  var data=$("#cmbPublicar").val();
  ed = tinyMCE.get('contenido');
  contenido=ed.getContent(); 
  cad+='&boton='+encodeURIComponent(boton);
  cad+='&cmbpublicar='+encodeURIComponent(data);
  cad+='&content='+encodeURIComponent(contenido);
  cad+='&formulario='+encodeURIComponent('publicar');
  return cad;
}


function isEmpty(s){
  return ((s == null) || (s.length == 0))
}
function crearXMLHttpRequest() 
{
  var xmlHttp=null;
  if (window.ActiveXObject) 
    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
  else 
    if (window.XMLHttpRequest) 
      xmlHttp = new XMLHttpRequest();
  return xmlHttp;
}
